Internet Explorer is no longer supported. Many things will still work, but your experience will be degraded and some things won't function. Please use a modern browser such as Edge, Chrome, or Firefox.

Delete Image

view on GitHub

Delete Image is available as both a pgutil command and an HTTP Request, and will delete a specified image.

Command Specification (CLI)

The containers tags delete command is used to delete an image.

The --repo, digest, and --feed options are always required.

Deleting an image requires the feed name (e.g. MyDockerFeed), repo (e.g. mycontainer/mycontainer-ee), and the digest (e.g. sha256:80769751fe5806f4e4262b0d12f2c397ea965cf3ac6ffbe6562dd57054025b2d):

pgutil containers images delete --repo=gitlab/gitlab-ee --digest=sha256:80769751fe5806f4e4262b0d12f2c397ea965cf3ac6ffbe6562dd57054025b2d --feed=MyDockerFeed

HTTP Request Specification

To delete an image, simply POST or DELETE to the URL with the following query arguments:

POST/DELETE /api/containers/images/delete?feed=<feed name>&repo=<repo name>&digest=<digest>

Note that <digest> must be the full image digest and not a shortened version.

HTTP Response Specification

If the image was deleted, a successful 200 response is returned.

A 404 response indicates that the image did not exist.

A 403 response indicates a missing, unknown, or unauthorized API Key.